<!--<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                <div class="ratings-top">
                    <div class="prof-action">
                        <div class="r-star stars">
                            <ul class="rating inline-ul">
                                <span>Rating : </span>
                                <li *ngFor="let star of stars; let i = index">
                                    <i class="fas fa-star" *ngIf="payloads.rating >= i + 0.5; else emptyStar" [ngClass]="{'fa-star-half-alt': payloads.rating >= i + 0.5 && payloads.rating < i + 1,
                                                    'fa-star': payloads.rating >= i + 1}">
                                    </i>
                                </li>
                                <span>  ({{payloads?.rating}})  </span>
                            </ul>
                            <ng-template #emptyStar>
                                <i class="far fa-star"></i>
                            </ng-template>
                        </div>
                     <a href="javascript:void(0);"
                            (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId)"
                            class="btn">View Profile</a> 
                    </div>

                </div>
                <div class="profile-avatar main-profile">
                     <img src="{{personalDetailsList?.profilePic}}">

                    <img alt="" *ngIf="payloads?.profilepic; else defaultProfilePic"
                        [src]="payloads?.profilepic">
                    <ng-template #defaultProfilePic>
                        <img alt="" src="assets/images/default-profile-picture.png">
                    </ng-template>
                </div>
                <div class="complt-shft">

                     <strong>{{avail.day}}</strong> 
                     Shifts Completed: -->

<!-- {{availability.length}} 

                </div>
                  <div class="form-box">
                <div class="static-accordion-space">
                    <div class="shadow-box">
                  <div>
                      <div>
                          <h3>
                              Personal Details
                          </h3>
                      </div>
                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-6">
                                      <p>
                                          <strong>First Name</strong>
                                          <span> {{candidateDetailsList?.fname}} </span>
                                      </p>
                                  </div>
                                  <div class="col-6" *ngIf="candidateDetailsList?.mname">
                                      <p>
                                          <strong>Middle Name</strong>
                                          <span>{{candidateDetailsList?.mname}} </span>
                                      </p>
                                  </div>
                                  <div class="col-12 ">
                                      <p>
                                          <strong>Surname</strong>
                                          <span>{{candidateDetailsList?.lname}}</span>
                                      </p>
                                  </div>
                                  <div class="col-12">
                                      <p>
                                          <strong>D.O.B</strong>
                                          <span> {{candidateDetailsList?.dob }} </span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                </div>

                <div class="shadow-box">

                  <div>
                      <div>
                          <h3>
                              Work Experience
                          </h3>
                      </div>
                      <div class="acrdn-cont" *ngFor="let workexp of workExpList ">
                          <div class="acrdn-cont-inr kin-btm">
                                  <div class="row">
                                          <div class="col-md-12">
                                              <h4><u>Experience</u></h4>
                                          </div>
                                      </div>
                         
                          <div class="acrdn-cont-inr ">
                              <div class="row">
                                  <div class="col-6">
                                      <p>
                                          <strong>Company Name</strong>
                                          <span> {{workexp.companyName}} </span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Job Name</strong>
                                          <span>{{workexp.roleDetails?.jobRoleName}} </span>
                                      </p>
                                  </div>
                                  <div class="col-12">
                                      <p>
                                          <strong>Description</strong>
                                          <span>{{workexp.description}}</span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Start Date</strong>
                                          <span> {{workexp.startDate  }} </span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>End Date</strong>
                                          <span> {{workexp.endDate }} </span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                          <div class="acrdn-cont-inr spc-btm">
                              <div class="row">
                                  <div class="col-12">
                                      <h6><u>References</u></h6>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Name</strong>
                                          <span>  {{workexp.referenceName}} </span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Contact Number</strong>
                                          <span> {{workexp.referenceContact}} </span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Contact Email</strong>
                                          <span> {{workexp.referenceEmailAddress}} </span>
                                      </p>
                                  </div>
                                   <div class="col-6">
                                <p>
                                    <strong>Name</strong>
                                </p>
                            </div>
                            <div class="col-6">
                                <p>
                                    <strong>Contact Number</strong>
                                    <span>1234567890</span>
                                </p>
                            </div> 
                              </div>
                          </div>
                      </div>
                  </div>
                </div>

                   <mat-expansion-panel>
                      <mat-expansion-panel-header>
                          <mat-panel-title>
                              Languages
                          </mat-panel-title>
                      </mat-expansion-panel-header>

                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-6" *ngFor="let language of languageList">
                                      <p>
                                          <strong> {{language?.name}} </strong>
                                          <span> {{language?.rank}} </span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </mat-expansion-panel> 
                  <div class="shadow-box">

                  <div>
                      <div>
                          <h3>
                              Job Roles
                          </h3>
                      </div>
                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-12">
                                    <p>

                                        <strong style="margin-bottom: 10px;"><u class="alg-mig">Industry</u>  <u class="alg-mrg"> Role</u>   <u class="alg-msg">Skill</u></strong>
                                        <span *ngFor="let industryNames of industryName">
                                          <span *ngFor="let skill of industryNames.skillDetails">
                                               <span *ngFor="let skilss of skill"></span> 
                                              <p> {{industryNames?.industryName}}  -  {{industryNames?.jobRoleName}}  -  {{skill.skillName}}</p>
                                               Manager, Accountent 
                                          </span>
                                      </span>
                              
                                 
                                      </p>
                                  </div>
                                   <div class="col-6">
                                      <p>
                                          <strong>Engineer</strong>
                                          <span></span>
                                      </p>
                                  </div> 
                                  <div class="col-12">
                                      <p>
                                          <strong>Summary ? </strong>
                                          <span>Lorem ipsum dolor is a dummy content.</span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  </div>

                   <mat-expansion-panel>
                      <mat-expansion-panel-header>
                          <mat-panel-title>
                              Uploads
                          </mat-panel-title>
                      </mat-expansion-panel-header>
                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-6">
                                      <p>
                                          <strong>Document</strong>
                                          <span *ngFor="let docs of uploadedFilesList.docs">
                                              <p> {{docs?.docName}}</p>
                                         
                                          </span>
                                      </p>
                                  </div>
                         
                                  <div class="col-6">
                                      <p>
                                          <strong>Video</strong>
                                          <span> {{uploadedFilesList.video?.videoName}} </span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </mat-expansion-panel> 
                  <div class="shadow-box">

                  <div>
                      <div>
                          <h3>
                              Availibility
                          </h3>
                      </div>
                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-6" *ngFor="let avail of availability">
                                      <p>
                                          <strong>{{avail.day}}</strong>
                                          <span *ngFor="let slot of avail.timeSlotDetails" > {{  slot.slotName  }}
                                              </span>
                                      </p>
                                  </div>
                                  <div class="col-6">
                                      <p>
                                          <strong>Tuesday</strong>
                                          <span>Afternoon</span>
                                      </p>
                                  </div> 
                              </div>
                          </div>
                      </div>
                  </div>
                  </div>

                   <mat-expansion-panel>
                      <mat-expansion-panel-header>
                          <mat-panel-title>
                              My Days Off
                          </mat-panel-title>
                      </mat-expansion-panel-header>
                      <div class="acrdn-cont">
                          <div class="acrdn-cont-inr">
                              <div class="row">
                                  <div class="col-6">
                                      <p>
                                         
                                          <span *ngFor="let dates of daysOffList">
                                              <p> {{dates.startDate |date: 'dd-MMM-yyyy' }} - {{dates.endDate |date: 'dd-MMM-yyyy' }} <p>
                                          </span>
                                      </p>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </mat-expansion-panel> 

                </div>
            </div>

              </div>
          </div>
      </div>
  </div>
</div> -->
<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="view-worker-profile">
                        <div class="profile-pic-sec text-center">
                            <div class="row align-items-center">
                                <div class="col-sm-4">
                                    <strong>{{payloads?.rating}}</strong>
                                    <p>Ratings</p>
                                </div>
                                <div class="col-sm-4">
                                    <!-- <img alt="" src="assets/images/default-profile-picture.png" /> -->
                                    <img alt="" *ngIf="payloads?.profilepic; else defaultProfilePic"
                                        [src]="payloads?.profilepic">
                                    <ng-template #defaultProfilePic>
                                        <img alt="" src="assets/images/default-profile-picture.png">
                                    </ng-template>
                                    <div class="Profile-name">{{candidateDetailsList?.fname}}
                                        {{candidateDetailsList?.mname}} {{candidateDetailsList?.lname}}.</div>
                                </div>
                                <div class="col-sm-4">
                                    <strong></strong>
                                    <p>Shifts Completed</p>
                                </div>
                                <div class="col-sm-12">
                                    <p></p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="job-details">
                        <div class="single-appoinment">
                            <strong>Industry</strong>
                            <ng-container>

                                <p>
                                    <ng-container *ngFor="let industryNames of industryName;let i = index">
                                        <ng-container *ngIf="i>0">, </ng-container> {{industryNames?.industryName}}
                                    </ng-container>
                                </p>
                            </ng-container>
                        </div>

                        <div class="single-appoinment">
                            <strong>Roles</strong>
                            <div class="single-star-sec" *ngFor="let industryNames of industryName ; let j =index">
                                <ng-container *ngIf="j < 5 && !showRole">
                                    <span><i class="fas fa-user-alt"></i> {{industryNames?.industryName}} -
                                        {{industryNames?.jobRoleName}}</span>
                                    <div class="star-sec">
                                        <p>
                                            <ng-container *ngFor="let star of stars; let i = index">
                                                <i class="fas fa-star"
                                                    *ngIf="payloads.rating >= i + 0.5; else emptyStar" [ngClass]="{'fa-star-half-alt': payloads.rating >= i + 0.5 && payloads.rating < i + 1,
                                                        'fa-star': payloads.rating >= i + 1}">
                                                </i>
                                            </ng-container>
                                            <ng-template #emptyStar>
                                                <i class="far fa-star"></i>
                                            </ng-template>
                                        </p>
                                        <p>
                                            <ng-container *ngFor="let skill of industryNames.skillDetails;let i= index">
                                                <ng-container *ngIf="i>0"> ,</ng-container>{{skill.skillName}}
                                            </ng-container>
                                        </p>
                                    </div>
                                </ng-container>
                                <ng-container *ngIf="showRole">
                                    <span><i class="fas fa-user-alt"></i> {{industryNames?.industryName}} -
                                        {{industryNames?.jobRoleName}}</span>
                                    <div class="star-sec">
                                        <p>
                                            <ng-container *ngFor="let star of stars; let i = index">
                                                <i class="fas fa-star"
                                                    *ngIf="payloads.rating >= i + 0.5; else emptyStar" [ngClass]="{'fa-star-half-alt': payloads.rating >= i + 0.5 && payloads.rating < i + 1,
                                                        'fa-star': payloads.rating >= i + 1}">
                                                </i>
                                            </ng-container>
                                            <ng-template #emptyStar>
                                                <i class="far fa-star"></i>
                                            </ng-template>
                                        </p>
                                        <p>
                                            <ng-container *ngFor="let skill of industryNames.skillDetails;let i= index">
                                                <ng-container *ngIf="i>0"> ,</ng-container>{{skill.skillName}}
                                            </ng-container>
                                        </p>
                                    </div>
                                </ng-container>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="!showArraow && industryName.length>5">
                                <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i
                                        class="fas fa-angle-down"></i></a>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="showArraow && industryName.length>5">
                                <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i
                                        class="fas fa-angle-up"></i></a>
                            </div>
                        </div>

                        <div class="single-appoinment">
                            <strong>Experiences</strong>
                            <div class="single-star-sec" *ngFor="let workexp of workExpList ;let i = index">
                                <ng-container *ngIf="i < 5 && !showapplies">
                                    <span>{{workexp.companyName}} , {{workexp.roleDetails?.jobRoleName}}</span>
                                    <p>{{workexp.startDate }} - {{workexp.endDate }}</p>
                                </ng-container>
                                <ng-container *ngIf="showapplies">
                                    <span>{{workexp.companyName}} , {{workexp.roleDetails?.jobRoleName}}</span>
                                    <p>{{workexp.startDate }} - {{workexp.endDate }}</p>
                                </ng-container>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="!showArrowApllied && workExpList.length>5">
                                <a href="javascript:void(0);" (click)="showapplidMoreRole()" tooltip="Show More"> <i
                                        class="fas fa-angle-down"></i></a>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="showArrowApllied && workExpList.length>5">
                                <a href="javascript:void(0);" (click)="showappliedLessRole()" tooltip="Show Less"> <i
                                        class="fas fa-angle-up"></i></a>
                            </div>
                        </div>

                        <div class="single-appoinment for-circle-sec text-center">
                            <strong class="text-left">Availabality</strong>
                            <ul>
                                <li *ngFor="let list of timeSlottable"><span>{{list.day.slice(0, 1)}}</span> <strong>
                                    <ng-container *ngFor="let item of list.Timeslot;let i=index">
                                        <ng-container *ngIf="item.slotValue">
                                            <ng-container *ngIf="i>0">/</ng-container> 
                                       {{item.slotName.slice(0, 1)}}
                                    </ng-container>
                                </ng-container>
                                    </strong>
                                </li>
                                <!-- <li><span>S</span> <strong>All</strong></li>
                                <li><span>S</span> <strong>All</strong></li>
                                <li><span>S</span> <strong>All</strong></li>
                                <li><span>S</span> <strong>All</strong></li>
                                <li><span>S</span> <strong>All</strong></li>
                                <li><span>S</span> <strong>All</strong></li> -->
                            </ul>
                        </div>

                        <!-- <div class="single-appoinment text-center">
                            <a href="#" class="btn mw-auto">Block User</a>
                        </div> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>